Subject: Re: Sergey's cygwin.dll
From: [email-masked] (Geoffrey Noer)

7 Jun 1997 22:34:50 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked] (Larry Hall)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Larry Hall" at Jun 5, 97 12:45:37 pm
X-Mailer: ELM [version 2.4 PL23]
Content-Type: text
Original-Sender: [email-masked]

Larry Hall wrote:
[...]
> I've not experienced any such problems with Sergey's patch, maybe cause
> only 1 version of the cygwin.dll is in my path.  This brings up an 
> interesting point though... why is there more than one copy of cygwin.dll??
> I checked my cygnus install root and found I had 2 copies myself, one in
> bin (which was Sergey's) and one in i386-cygwin32/lib which was the original.

You should all feel free to delete the one in i386-cygwin32/lib.  It is
uneeded and is there for historical reasons.

Details: We use the same sources/install method for i386-cygwin32 as for
Unix toolchains.  One of the standard things is to put hard links in the
target directory (i386-cygwin32 in this case) for some things and
cygwin32.dll seems to be one of the things installed this way.
While this is harmless under Unix, it means extra copies of things
under Win32.  Eventually the installation scripts should get cleaned
up a bit but it isn't very high priority.

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".